%bcond_with lz4
Name:          ohc
Version:       0.4.2
Release:       2%{?dist}
Summary:       Java large off heap cache 
License:       ASL 2.0
URL:           http://caffinitas.org/
Source0:       https://github.com/snazy/ohc/archive/%{version}.tar.gz
Patch0:        ohc-0.3.6-remove-lz4-support.patch

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-cli:commons-cli)
# change to dropwizard for fedora 24
#BuildRequires: mvn(io.dropwizard.metrics:metrics-core)
BuildRequires: mvn(com.codahale.metrics:metrics-core)

BuildRequires: mvn(net.java.dev.jna:jna)
%if %{with lz4}
# https://bugzilla.redhat.com/show_bug.cgi?id=1270317
BuildRequires: mvn(net.jpountz.lz4:lz4)
%endif
BuildRequires: mvn(org.apache.commons:commons-math3)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.logging.log4j:log4j-api)
BuildRequires: mvn(org.apache.logging.log4j:log4j-core)
BuildRequires: mvn(org.apache.logging.log4j:log4j-slf4j-impl)
BuildRequires: mvn(org.openjdk.jmh:jmh-core)
BuildRequires: mvn(org.openjdk.jmh:jmh-generator-annprocess)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.testng:testng)
BuildRequires: mvn(org.xerial.snappy:snappy-java)
# missing in tests
BuildRequires: mvn(org.codehaus.mojo:exec-maven-plugin)
 

BuildArch:     noarch

%description
OHC - Off-Heap Concurrent hash map intended to store GBs of serialized data.

%package benchmark
Summary:       OHC benchmark executable

%description benchmark
OHC benchmark executable.

%package core-j8
Summary:       OHC core - Java8 optimization

%description core-j8
OHC core - Java8 optimization.

%package jmh
Summary:       OHC core - micro benchmarks

%description jmh
Off-Heap concurrent hash map intended to
store GBs of serialized data.

%package parent
Summary:       OHC Parent POM

%description parent
OHC Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

%if %{without lz4}
%patch0 -p1
%pom_remove_dep -r net.jpountz.lz4:lz4
%endif

%pom_remove_plugin -r :cobertura-maven-plugin
%pom_remove_plugin -r :maven-assembly-plugin
%pom_remove_plugin -r :maven-dependency-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin -r :maven-source-plugin

%pom_xpath_set -r "pom:addClasspath" false
%pom_xpath_remove -r "pom:classpathPrefix"

# https://bugzilla.redhat.com/show_bug.cgi?id=1245629
#rm -r ohc-core/src/test/java/org/caffinitas/ohc/linked/SerializationTest.java \
# ohc-core/src/test/java/org/caffinitas/ohc/tables/SerializationTest.java

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-core
%doc CHANGES.txt README.rst notes-todos.txt
%license %{name}-core/LICENSE.txt

%files benchmark -f .mfiles-%{name}-benchmark
%doc %{name}-benchmark/NOTES.txt
%license %{name}-benchmark/LICENSE.txt

%files core-j8 -f .mfiles-%{name}-core-j8
%license %{name}-core-j8/LICENSE.txt

%files jmh -f .mfiles-%{name}-jmh
%license %{name}-jmh/LICENSE.txt

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Feb 12 2016 Tomas Repik <trepik@redhat.com> - 0.4.2-2
- Updated build-dependencies

* Sat Feb 06 2016 gil cattaneo <puntogil@libero.it> 0.4.2-1
- update to 0.4.2

* Wed Jul 22 2015 gil cattaneo <puntogil@libero.it> 0.3.6-1
- initial rpm
